specialize.hpp File Reference

Serialization disambiguation. More...

Go to the source code of this file.

## Classes

struct | cereal::specialize< Archive, T, S >
| A class used to disambiguate cases where cereal cannot detect a unique way of serializing a class. More...

## Macros

#define | CEREAL_SPECIALIZE_FOR_ALL_ARCHIVES(Type, Specialization) namespace cereal { template <class Archive> struct specialize<Archive, Type, Specialization> {}; }
| Convenient macro for performing specialization for all archive types. More...
#define | CEREAL_SPECIALIZE_FOR_ARCHIVE(Archive, Type, Specialization) namespace cereal { template <> struct specialize<Archive, Type, Specialization> {}; }
| Convenient macro for performing specialization for a single archive type. More...

## Detailed Description

Serialization disambiguation.